Tin An Ninh Mạng

Lỗ hổng Shellshock có thực sự nguy hiểm ?

hacker 17
Liên quan đến thông tin về lỗ hổng nghiêm trọng Shellshock trong phần mềm lõi Bash mà nhiều thành viên diễn đàn quan tâm tuần qua cũng như hiện nay có nhiều đánh giá khác nhau về mức độ nguy hiểm của lỗ hổng, BQT diễn đàn WhiteHat.vn đã có cuộc trao đổi với anh Nguyễn Hồng Sơn, Trưởng phòng nghiên cứu An ninh mạng của Bkav xoay quanh vấn đề này.

{

}

1490893086shellshock.png

BQT: Hiện nay có nhiều đánh giá khác nhau về mức độ nghiêm trọng của lỗ hổng Shellshock, quan điểm của anh về vấn đề này thế nào? So sánh lỗ hổng Heartbleed được công bố đầu năm 2014?

Anh Nguyễn Hồng Sơn: Lỗ hổng được phát hiện trong phiên bản từ 4.3 trở xuống của Bash, ảnh hưởng tới hầu hết các máy chủ sử dụng nền tảng Unix, Linux. Ngoài ra, theo thống kê, có tới 70% các thiết bị truy cập Internet như Router, thiết bị wi-fi… cũng sử dụng các nền tảng nói trên, so với Heartbleed chỉ ảnh hưởng đến các máy chủ có ứng dụng OpenSSL thì con số này lớn hơn nhiều. Do vậy mức độ ảnh hưởng của lỗ hổng này là khá lớn.

Tuy nhiên, do lỗ hổng nằm trong phần lõi của hệ thống, để khai thác được hacker cần phải vượt qua lớp “vỏ bọc” là các ứng dụng, dịch vụ để có thể tấn công vào phần lõi. Và điều này không phải dễ dàng. Thực tế đến nay cũng chưa có cuộc tấn công thành công nào được ghi nhận hoặc công bố.

BQT: Trước thông tin hàng loạt sản phẩm của các hãng công nghệ như Cisco, Oracle, Apple cũng dính lỗ hổng này, anh có thể giải thích rõ hơn về việc này?

Anh Nguyễn Hồng Sơn: Bash là ứng dụng được dùng để điều khiển giao diện dòng lệnh trong lõi của Linux, Unix. Các hãng như Cisco, Oracle và Apple có các sản phẩm chạy trên những nền tảng này. Do đó, các sản phẩm này cũng bị ảnh hưởng khi Bash tồn tại lỗ hổng.

BQT: Vậy ở Việt Nam lỗ hổng này gây ảnh hưởng như thế nào?

Anh Nguyễn Hồng Sơn: Lỗ hổng nghiêm trọng, nhưng hiện tại mới ghi nhận việc khai thác thông qua một số dịch vụ như Apache có sử dụng mod_cgi, mod_cgid hoặc OpenSSH có sử dụng ForceCommand…

Tuy nhiên, việc khai thác này cần một số điều kiện cụ thể, ví dụ như tính năng thực thi trong mod_cgi phải được để ở chế độ bật và có tồn tại file .cgi trong thư mục /cgi-bin đối với các máy chủ Apache có sử dụng mod_cgi.
Bkav đã tiến hành khảo sát với các website Việt Nam có sử dụng CGI chạy trên nền tảng phổ biến Apache. Kết quả thống kê thực tế cho thấy các hệ thống sử dụng công nghệ CGI trên Apache hiện nay không còn phổ biến và chưa ghi nhận trường hợp nào có thể khai thác từ bên ngoài.

Các bạn có thể tham khảo thêm bài phân tích kỹ thuật khai thác lỗ hổng Shellshock tại đây.

BQT: Bkav có cảnh báo gì cho người dùng về lỗ hổng?

Anh Nguyễn Hồng Sơn: Đến thời điểm hiện tại chưa có cách thức khai thác lỗ hổng Shellshock gây hậu quả nghiêm trọng từ bên ngoài. Do vậy, người dùng không cần quá lo lắng. Tuy nhiên, để phòng tránh các nguy cơ có thể bị tấn công thời gian tới khi có cách thức khai thác nguy hiểm hơn, người dùng nên kiểm tra và cập nhật bản vá mới nhất cho lỗ hổng này.

BQT WhiteHat.vn

Tin liên quan:

Cảnh báo lỗ hổng nghiêm trọng trên lõi Linux

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !